// creator  : weidu.exe (version 23600)
// argument : GATEWA.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~GATEWA~

IF ~  Global("Chapter","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #111 /* ~You should find your father, for he wouldst speak with you.~ */
  IF ~~ THEN EXIT
END

IF ~  Global("Chapter","GLOBAL",6)
ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN BEGIN 1 // from:
  SAY #113 /* ~It is good to see you again. The libraries are yours to use for the duration of your stay. Let me show you to your hostel room.~ */
  IF ~~ THEN EXIT
END

IF ~  Global("Chapter","GLOBAL",6)
ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN BEGIN 2 // from:
  SAY #114 /* ~Greetings, I hope you find the resources at our library to be adequate. Let me show you to your hostel rooms.~ */
  IF ~~ THEN EXIT
END

IF ~  Global("Chapter","GLOBAL",6)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 3 // from:
  SAY #115 /* ~Before I take you to your hostel rooms you should understand that I want no trouble. I hope that is understood.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #116 /* ~There are several rules that need be adhered to, of which you are no doubt aware. First, you are prohibited from taking any of the books from their respective rooms. Second, certain rooms will be inscribed with a rune, and are not to be entered. Third, you are not to stay within the confines of Candlekeep for more than ten days. Now follow me; I'll take you to your quarters.~ */
  IF ~~ THEN JOURNAL #6943 /* ~The Gatewarden of Candlekeep explained the rules of the library. I am not to take books from the rooms they are in, and I am allowed to stay for only ten days.~ */ EXIT
END

IF ~  Global("Chapter","GLOBAL",6)
Global("IronThroneMurder","GLOBAL",1)
~ THEN BEGIN 5 // from:
  SAY #118 /* ~Stop and surrender yourself. You are accused of murdering the men Brunos Costak, Thaldorn Tenhevich and Rieltar Anchev. If you give yourself up now, you will be assured of a fair trial.~ */
  IF ~~ THEN REPLY #15189 /* ~We didn't murder anyone, and we're not surrendering to the likes of you!~ */ JOURNAL #6945 /* ~I have been accused of murdering Brunos, Rieltar, and Thaldorn.~ */ GOTO 7
  IF ~~ THEN REPLY #15190 /* ~We didn't murder anyone, so we're perfectly willing to go to trial. Our innocence of this unwarranted accusation should be refuted quickly, within any fair court of law.~ */ EXIT
  IF ~  Dead("RIELTAR")
~ THEN REPLY #11842 /* ~Yes, I killed them, but they attacked me. They're the leaders of the Iron Throne, the people behind the iron shortage and everything else that's been wrong with the Sword Coast! We did everyone a favor by killing them.~ */ EXIT
END

IF ~  True()
~ THEN BEGIN 6 // from:
  SAY #6946 /* ~I apologize young one; I would love to stay and chat, but I have many things on my duty roster this day.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.0
  SAY #15191 /* ~Don't do this young one. If you resist, we'll be forced to use lethal force.~ */
  IF ~~ THEN REPLY #15192 /* ~Bring it on!~ */ EXIT
  IF ~~ THEN REPLY #15193 /* ~Now that you put it that way, take us to your prison.~ */ EXIT
END
